commit:     dca76182a8cbd36661cb2c22a645e65e2d939355
Author:     Florian Schmaus <flo <AT> geekplace <DOT> eu>
AuthorDate: Mon Jun 15 13:47:08 2020 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Tue Sep  1 20:17:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dca76182

net-im/poezio: add ebuild for version 0.13.1

Closes: https://bugs.gentoo.org/717882
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Florian Schmaus <flo <AT> geekplace.eu>
Signed-off-by: Andrey Utkin <andrey_utkin <AT> gentoo.org>

 net-im/poezio/Manifest             |  1 +
 net-im/poezio/poezio-0.13.1.ebuild | 51 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/net-im/poezio/Manifest b/net-im/poezio/Manifest
index 9187b8c3e15..8a36462d31a 100644
--- a/net-im/poezio/Manifest
+++ b/net-im/poezio/Manifest
@@ -1 +1,2 @@
 DIST poezio-0.12.tar.gz 585750 BLAKE2B 
d79cab965b39a9ea191c763e1560bedbf46e3107e1b301a651103caf8f9e63b8465925ea01ac4e2e6b747b66cf5d4be8cabd8be80a069fe4eafcf331c7daada8
 SHA512 
6249daf23c6f4c1b25a9de686abaa62076e1eac7566da0a174ae3a82e3a53b7f2a86145d20d587a7ee43c8b679d90cb381d5afbfc7860459c5a497e97af32ff4
+DIST poezio-0.13.1.tar.gz 632572 BLAKE2B 
e8d3d34c5ca8d236a5a434b4b339cab5ea7286c60db3ef5a6012d406848537b587e834b86f7b6049ee8e637a82e883b2d874134bc1f7d64106e0b0f81aab218f
 SHA512 
6c211ef0fa2fc4bd4cce6ab896166eec6bcdc16ad9e774f4d6bf261b404c9ef68b18d934097da0e165b0cce9bd7779da520ac9c3eac30ccf8280f98ef6aa19c6

diff --git a/net-im/poezio/poezio-0.13.1.ebuild 
b/net-im/poezio/poezio-0.13.1.ebuild
new file mode 100644
index 00000000000..21339aa6804
--- /dev/null
+++ b/net-im/poezio/poezio-0.13.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit distutils-r1 readme.gentoo-r1
+
+DESCRIPTION="Console XMPP client that looks like most famous IRC clients"
+HOMEPAGE="https://poez.io/";
+LICENSE="ZLIB"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://lab.louiz.org/${PN}/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+RDEPEND="
+       dev-python/aiodns[${PYTHON_USEDEP}]
+       dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+       dev-python/pyasn1[${PYTHON_USEDEP}]
+       >=dev-python/slixmpp-1.5.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+DOC_CONTENTS="
+Install these optional runtime dependencies for additional features.
+* dev-python/pyinotify for screen autoaway plugin support.
+"
+DISABLE_AUTOFORMATTING=true
+
+src_prepare() {
+       default
+       # Delete unmaintained plugin which requires an excessive external dep
+       rm plugins/mpd_client.py || die
+}
+
+src_install() {
+       distutils-r1_src_install
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to